Bug 211548 - Review Request: fluxstyle - Graphical style manager for fluxbox
Review Request: fluxstyle - Graphical style manager for fluxbox
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-19 17:48 EDT by Michael Rice
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-24 16:01:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Rice 2006-10-19 17:48:16 EDT
Spec URL: http://errr.fluxbox-wiki.org/fedora_stuff/fluxstyle/1/fluxstyle.spec

SRPM URL: http://errr.fluxbox-wiki.org/fedora_stuff/fluxstyle/1/fluxstyle.src.rpm

Description: 
Fluxstyle is a graphical style manager for fluxbox written in python using pygtk and glade
Comment 1 Patrice Dumas 2006-10-19 18:09:15 EDT
Release and version is missing from the src.rpm?

%{!?python_sitearch: isn't needed.

also the .pyo shouldn't shouldn't be ghosted anymore.

It seems that it is a noarch package, so no need for CFLAGS.

An icon seems to be missing.
Comment 2 Michael Rice 2006-10-19 19:39:24 EDT
(In reply to comment #1)
> Release and version is missing from the src.rpm?
> 
> %{!?python_sitearch: isn't needed.
> 
> also the .pyo shouldn't shouldn't be ghosted anymore.
> 
> It seems that it is a noarch package, so no need for CFLAGS.
> 
> An icon seems to be missing.

What icon is missing?

And I may have posted the wrong src rpm.. I was in a hurry doing this before I
left the office today. Ill put a new one soonish
Comment 3 Michael Rice 2006-10-19 23:33:43 EDT
http://errr.fluxbox-wiki.org/fedora_stuff/fluxstyle/3/fluxstyle.spec
http://errr.fluxbox-wiki.org/fedora_stuff/fluxstyle/3/fluxstyle-1.0-3.src.rpm

I posted a link to a src.rpm in the orignal comment that wasnt even there..
sorry.. I was rushing at work 
Comment 4 Patrice Dumas 2006-10-20 04:49:56 EDT
* There are missing:

%dir %{_datadir}/%{name}-%{version}/glade/
%dir %{_datadir}/%{name}-%{version}/images/

* The .desktop file don't seem very right to me:

- the MimeType seems very wrong
- In the categories, tere should certainly de somthing like
  System or Utilities.
- Icon entry is missing (and no icon is packaged)
  If the icon is fluxbox48x48-trans-metal-bevel.png, it should be
  copied to hicolor theme/48x48..... and the scriptlets should be 
  called.

* I am not convinced that fluxStyle.p* is rightly  in 
  /usr/lib/python2.4/site-packages/fluxstyle/, since it seems to be the
  same than the fluxStyle script in %_bindir. Am I missing something?

* I don't thtink the shebang of
/usr/lib/python2.4/site-packages/fluxstyle/__init__.py is right.
  It seems to me that it shouldn't have a shebang, and shouldn't be
  executable.

I am not very knowledgable in python so the last 2 comments may be 
wrong.
Comment 5 Michael Rice 2006-10-20 13:48:43 EDT
(In reply to comment #4)
> * There are missing:
> 
> %dir %{_datadir}/%{name}-%{version}/glade/
> %dir %{_datadir}/%{name}-%{version}/images/
> 
> * The .desktop file don't seem very right to me:
> 
> - the MimeType seems very wrong

What do you think it should be?

> - In the categories, tere should certainly de somthing like
>   System or Utilities.

Is there one that it should be more than the other, or do you think both maybe?

> - Icon entry is missing (and no icon is packaged)
>   If the icon is fluxbox48x48-trans-metal-bevel.png, it should be
>   copied to hicolor theme/48x48..... and the scriptlets should be 
>   called.
What icon is this for??  The one you are talking about is used in the aboutDialog

> * I am not convinced that fluxStyle.p* is rightly  in 
>   /usr/lib/python2.4/site-packages/fluxstyle/, since it seems to be the
>   same than the fluxStyle script in %_bindir. Am I missing something?

I didnt even realize I had this, I pulled it from svn  

> * I don't thtink the shebang of
> /usr/lib/python2.4/site-packages/fluxstyle/__init__.py is right.
>   It seems to me that it shouldn't have a shebang, and shouldn't be
>   executable.
> 
> I am not very knowledgable in python so the last 2 comments may be 
> wrong.
You are right, I fixed this in svn and I am making a 1.0.1 release with this fix
and the one above. Ill put up another spec/src.rpm when I get home and get a
chance to make sure it all works :)
Comment 6 Patrice Dumas 2006-10-20 15:54:05 EDT
(In reply to comment #5)

> > - the MimeType seems very wrong
> 
> What do you think it should be?

I don't think there should be any MimeType... Maybe you were thinking
about theme.cfg? It would need a mimetype file in that case. You can
see examples in /usr/share/mime/packages
You put your file there and then you run a scriptlet, and, of course 
readd the specific MimeType to your .desktop file, but plai/text is much
too broad.


> > - In the categories, tere should certainly de somthing like
> >   System or Utilities.
> 
> Is there one that it should be more than the other, or do you think both maybe?

Maybe both. Do what you prefer.

> What icon is this for??  The one you are talking about is used in the aboutDialog

This icon would be used in menus. So the one from the about 
dialog seems well fitted for that.
 
> You are right, I fixed this in svn and I am making a 1.0.1 release with this fix
> and the one above. Ill put up another spec/src.rpm when I get home and get a
> chance to make sure it all works :)

Ok. 

As a side note fluxStyle don't seems to work for me. When I 
uncomment in .fluxStyle.rc, and I select the location in
view->global I get a popup whch says that I choosed an invalid
location.

When try to add a new location by navigating in the directories, 
getting to /usr/share/tenr-de-styles-pkg-1.0, fluxStyle don't
seem to detect anything.

And last, the close button on the about screen don't do anything.
Comment 7 Michael Rice 2006-10-23 23:51:50 EDT
Ok I fixed a couple of things in my upstream package and released a 1.0.1 and
made a new src.rpm

I was never able to reproduce the close button issue in the aboout dialog.

Your issue with the location popup was due to the location being wrong. I went
and added a better example to the config created that can basicly be uncommented
and used on a fedora system. In regards to the location needed for the tenr-de
style pack and the global styles that come with fluxbox when you install it your
entry would need to look like:
 STYLES_DIRS:Global,/usr/share/fluxbox/styles:Tenners,/usr/share/tenr-de-styles-pkg-1.0/styles/

The path must be the full path the the dir that has the styles, not the parent
of them. 

fluxstyle is also now found using the fluxbox-xdg-menu generator and has an icon
and it will show up in the menu under Applications -> System Tools -> Fluxstyle

http://errr.fluxbox-wiki.org/fedora_stuff/fluxstyle/2/fluxstyle.spec
http://errr.fluxbox-wiki.org/fedora_stuff/fluxstyle/2/fluxstyle-1.0.1-1.src.rpm

Comment 8 Patrice Dumas 2006-10-24 04:12:52 EDT
* rpmlint is silent
* free software, licence included
* follows guidelines
* spec legible
* match upstream
f06e121439e67750a2913c91acd205a1  fluxstyle-1.0.1.tar.bz2
* sane provides
* gui app, desktop and icon provided
* %files section right

APPROVED

I still see the 2 bugs I reported above:

When I do Help->About, and then the gtk close button, it doesn't close
the about window.

When I remove tenr style from the config file, and I do
add->file system (double click)->usr->share->tenr-de-styles-pkg-1.0->styles
then if I click the gtk button open it goes in the styles directory,
but don't allow to select it. In the filechoser there are only directories
appearing, no files, but it may be right.

It may be because I am on devel and you are on fc5. But beware, devel will
soon become fc6.
Comment 9 Michael Rice 2006-10-24 08:17:39 EDT
(In reply to comment #8)
> * rpmlint is silent
> * free software, licence included
> * follows guidelines
> * spec legible
> * match upstream
> f06e121439e67750a2913c91acd205a1  fluxstyle-1.0.1.tar.bz2
> * sane provides
> * gui app, desktop and icon provided
> * %files section right
> 
> APPROVED
> 
> I still see the 2 bugs I reported above:
> 
> When I do Help->About, and then the gtk close button, it doesn't close
> the about window.

What version of pygtk and libglade do you run so I can try to get the same for
testing

> 
> When I remove tenr style from the config file, and I do
> add->file system (double click)->usr->share->tenr-de-styles-pkg-1.0->styles
> then if I click the gtk button open it goes in the styles directory,
> but don't allow to select it. In the filechoser there are only directories
> appearing, no files, but it may be right.
> 
The add style button is not to add a location to the config, it is to add a
freshly downloaded style. The format must be a .bz2 .gz etc etc.. It will then
install that style to ~/.fluxbox/styles

> It may be because I am on devel and you are on fc5. But beware, devel will
> soon become fc6.

I will setup fc6 in vmware to do further testing on the app very soon. 
Comment 10 Patrice Dumas 2006-10-24 08:59:19 EDT
My versions are:

pygtk2-2.10.1-4.fc6
pygtk2-libglade-2.10.1-4.fc6
libglade2-2.6.0-2

I have tested some themes fluxcarnation, slack and flatED at
http://fluxbox.sourceforge.net/themes.php
it doesn't seems to work well, but that may be because they 
don't follow some format for styles. 


There could also be a more explicit help...
Comment 11 Michael Rice 2006-10-24 15:21:26 EDT
(In reply to comment #10)
> My versions are:
> 
> pygtk2-2.10.1-4.fc6
> pygtk2-libglade-2.10.1-4.fc6
> libglade2-2.6.0-2
> 
Thats weird, the about dialog has no code, its all controled automaticly via
gtk/glade magic you dont add any actions/events or anything to them when they
are made with glade, possibly something changed in the new release of it so I
will need to look into the code.

> I have tested some themes fluxcarnation, slack and flatED at
> http://fluxbox.sourceforge.net/themes.php
> it doesn't seems to work well, but that may be because they 
> don't follow some format for styles. 
That is correct, some people seem to have never learned to use tar and have no
idea how to make a package, my app basicly looks via regex to try to figure out
how they packaged the style, then takes a best guess and installs it. If the
person packaged it correctly where it has a structure like:

niftyStyle/
niftyStyle/pixmaps
niftyStyle/pixmaps/(some pixmaps)
niftyStyle/theme.cfg
niftyStyle/preview.jpg

OR its like:

.fluxbox/styles/niftyStyle
.fluxbox/styles/niftyStyle/pixmaps
.fluxbox/styles/niftyStyle/pixmaps/(some pixmaps)
.fluxbox/styles/niftyStyle/theme.cfg
.fluxbox/styles/niftyStyle/preview.jpg

My app will install it correctly, basicly me and another guy downloaded 300
styles and found these 2 ways to be the absolute most common among the
community, with a few here and there that were packaged by someone who had no
idea how to make a package (which is almost impossible to check for) Maybe I
could add to my regex to check for the bast archive to have more than one dir in
it, and if so then to stop the install and tell the user that style is not
packaged correctly and for them to manually install or something??

> 
> 
> There could also be a more explicit help...

What kind of help, I would like to make this thing as user friendly as possible. :)

And is it OK to use this bugzilla to be discussing issues like this for my
upstream package or shuold this be ended and moved to the bug tracker for the
project?

http://developer.berlios.de/bugs/?group_id=3813 I guess this is my bug page or
what ever for the project
Comment 12 Patrice Dumas 2006-10-24 15:59:49 EDT
> What kind of help, I would like to make this thing as user friendly as
possible. :)
> 
> And is it OK to use this bugzilla to be discussing issues like this for my
> upstream package or shuold this be ended and moved to the bug tracker for the
> project?

Indeed this is not the right place. Since it basically works, just import
and let's close this.

> http://developer.berlios.de/bugs/?group_id=3813 I guess this is my bug page or
> what ever for the project

Ok, I'll continue there.
Comment 13 Patrice Dumas 2006-11-02 12:06:32 EST
It doesn't seems to be in built in devel?
Comment 14 Michael Rice 2006-11-02 19:01:38 EST
I dont know.. I just did a make build so I guess that will fix it. 

I did find out about the about dialog not closing when you click close, the gtk2
code changed so now I have to handle this with my own code instead of relying on
it to "just work" like it did in older versions.

Note You need to log in before you can comment on or make changes to this bug.